LayerItemsHandler (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.openlayers

## Class LayerItemsHandler

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.client.openlayers.LayerItemsHandler

-     public class LayerItemsHandler
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayerItemsHandler(List<LayerItem> layerItems)`
    `LayerItemsHandler(List<LayerItem> layerItems, HashMap<LayerItem,org.gwtopenmaps.openlayers.client.layer.Layer> mappingLayerItemsToLayers, HashMap<org.gwtopenmaps.openlayers.client.layer.Layer,LayerItem> mappingLayersToLayerItems)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getLayerName(org.gwtopenmaps.openlayers.client.layer.WMS layer)`
    `List<org.gwtopenmaps.openlayers.client.layer.Layer>` | `getLayers()`
    `List<org.gwtopenmaps.openlayers.client.layer.Layer>` | `getLayersClickData()`
    `static String` | `getLayerStyle(org.gwtopenmaps.openlayers.client.layer.Layer layer)`
    `static String` | `getLayerStyle(org.gwtopenmaps.openlayers.client.layer.WMS layer)`
    `List<org.gwtopenmaps.openlayers.client.layer.Layer>` | `getLayersWithLegend()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayerItemsHandler

          public LayerItemsHandler(List<LayerItem> layerItems)

    - #### LayerItemsHandler

          public LayerItemsHandler(List<LayerItem> layerItems,
                           HashMap<LayerItem,org.gwtopenmaps.openlayers.client.layer.Layer> mappingLayerItemsToLayers,
                           HashMap<org.gwtopenmaps.openlayers.client.layer.Layer,LayerItem> mappingLayersToLayerItems)

  - ### Method Detail

    - #### getLayersWithLegend

          public List<org.gwtopenmaps.openlayers.client.layer.Layer> getLayersWithLegend()

    - #### getLayersClickData

          public List<org.gwtopenmaps.openlayers.client.layer.Layer> getLayersClickData()

    - #### getLayers

          public List<org.gwtopenmaps.openlayers.client.layer.Layer> getLayers()

    - #### getLayerName

          public static String getLayerName(org.gwtopenmaps.openlayers.client.layer.WMS layer)

    - #### getLayerStyle

          public static String getLayerStyle(org.gwtopenmaps.openlayers.client.layer.WMS layer)

    - #### getLayerStyle

          public static String getLayerStyle(org.gwtopenmaps.openlayers.client.layer.Layer layer)

Copyright © 2014. All Rights Reserved.